Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class RoutePointConnectionCapabilities

    java.lang.Object
      com.nortel.soa.oi.cct.types.RoutePointConnectionCapabilities

    public class RoutePointConnectionCapabilities

extends java.lang.Object

Java class for routePointConnectionCapabilities complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="routePointConnectionCapabilities">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="canGiveMusic" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGiveRingBack" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGiveSilence" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canRoute" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canRetrieveContact" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGetRetrieverAddress" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canSetRetrieveStatus" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGiveIvr" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGiveRan" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGiveOverflow" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGiveBusy" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`RoutePointConnectionCapabilities()`

Method Summary
`boolean` | `isCanGetRetrieverAddress()` Gets the value of the canGetRetrieverAddress property.
`boolean` | `isCanGiveBusy()` Gets the value of the canGiveBusy property.
`boolean` | `isCanGiveIvr()` Gets the value of the canGiveIvr property.
`boolean` | `isCanGiveMusic()` Gets the value of the canGiveMusic property.
`boolean` | `isCanGiveOverflow()` Gets the value of the canGiveOverflow property.
`boolean` | `isCanGiveRan()` Gets the value of the canGiveRan property.
`boolean` | `isCanGiveRingBack()` Gets the value of the canGiveRingBack property.
`boolean` | `isCanGiveSilence()` Gets the value of the canGiveSilence property.
`boolean` | `isCanRetrieveContact()` Gets the value of the canRetrieveContact property.
`boolean` | `isCanRoute()` Gets the value of the canRoute property.
`boolean` | `isCanSetRetrieveStatus()` Gets the value of the canSetRetrieveStatus property.
`void` | `setCanGetRetrieverAddress(boolean value)` Sets the value of the canGetRetrieverAddress property.
`void` | `setCanGiveBusy(boolean value)` Sets the value of the canGiveBusy property.
`void` | `setCanGiveIvr(boolean value)` Sets the value of the canGiveIvr property.
`void` | `setCanGiveMusic(boolean value)` Sets the value of the canGiveMusic property.
`void` | `setCanGiveOverflow(boolean value)` Sets the value of the canGiveOverflow property.
`void` | `setCanGiveRan(boolean value)` Sets the value of the canGiveRan property.
`void` | `setCanGiveRingBack(boolean value)` Sets the value of the canGiveRingBack property.
`void` | `setCanGiveSilence(boolean value)` Sets the value of the canGiveSilence property.
`void` | `setCanRetrieveContact(boolean value)` Sets the value of the canRetrieveContact property.
`void` | `setCanRoute(boolean value)` Sets the value of the canRoute property.
`void` | `setCanSetRetrieveStatus(boolean value)` Sets the value of the canSetRetrieveStatus property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutePointConnectionCapabilities

    public RoutePointConnectionCapabilities()

Method Detail

### isCanGiveMusic

    public boolean isCanGiveMusic()

  Gets the value of the canGiveMusic property.

### setCanGiveMusic

    public void setCanGiveMusic(boolean value)

  Sets the value of the canGiveMusic property.

### isCanGiveRingBack

    public boolean isCanGiveRingBack()

  Gets the value of the canGiveRingBack property.

### setCanGiveRingBack

    public void setCanGiveRingBack(boolean value)

  Sets the value of the canGiveRingBack property.

### isCanGiveSilence

    public boolean isCanGiveSilence()

  Gets the value of the canGiveSilence property.

### setCanGiveSilence

    public void setCanGiveSilence(boolean value)

  Sets the value of the canGiveSilence property.

### isCanRoute

    public boolean isCanRoute()

  Gets the value of the canRoute property.

### setCanRoute

    public void setCanRoute(boolean value)

  Sets the value of the canRoute property.

### isCanRetrieveContact

    public boolean isCanRetrieveContact()

  Gets the value of the canRetrieveContact property.

### setCanRetrieveContact

    public void setCanRetrieveContact(boolean value)

  Sets the value of the canRetrieveContact property.

### isCanGetRetrieverAddress

    public boolean isCanGetRetrieverAddress()

  Gets the value of the canGetRetrieverAddress property.

### setCanGetRetrieverAddress

    public void setCanGetRetrieverAddress(boolean value)

  Sets the value of the canGetRetrieverAddress property.

### isCanSetRetrieveStatus

    public boolean isCanSetRetrieveStatus()

  Gets the value of the canSetRetrieveStatus property.

### setCanSetRetrieveStatus

    public void setCanSetRetrieveStatus(boolean value)

  Sets the value of the canSetRetrieveStatus property.

### isCanGiveIvr

    public boolean isCanGiveIvr()

  Gets the value of the canGiveIvr property.

### setCanGiveIvr

    public void setCanGiveIvr(boolean value)

  Sets the value of the canGiveIvr property.

### isCanGiveRan

    public boolean isCanGiveRan()

  Gets the value of the canGiveRan property.

### setCanGiveRan

    public void setCanGiveRan(boolean value)

  Sets the value of the canGiveRan property.

### isCanGiveOverflow

    public boolean isCanGiveOverflow()

  Gets the value of the canGiveOverflow property.

### setCanGiveOverflow

    public void setCanGiveOverflow(boolean value)

  Sets the value of the canGiveOverflow property.

### isCanGiveBusy

    public boolean isCanGiveBusy()

  Gets the value of the canGiveBusy property.

### setCanGiveBusy

    public void setCanGiveBusy(boolean value)

  Sets the value of the canGiveBusy property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.